<html>
<meta name="viewport" content="width=device-width, initial-scale=1">
<head>
<title>Quick Send</title>
<link rel="stylesheet" href="tocas.css">
<script type="text/javascript" src="urlfix.js"></script>
</head>
<body>
<?php
	if (isset($_GET['rx']) && $_GET['rx'] != ""){
		header("Location: display.php?id=" . $_GET['rx']);
		die();
	}
?>
<div class="ts inverted heading fluid slate" style="background-color:#2c2835;color:white;">
    <span class="large header">Quick Send System</span>
    <span class="description">Send data between mobile and laptops.<br> Powered by IMUS Laboratory</span>
    <div class="ts bottom attached tabbed menu" style="color:white;">
        <a class="item" href="index.php" style="color:#9d9ca3;">Send</a>
        <a class="item" href="rx.php" style="color:#9d9ca3;">Receive</a>
        <a class="item" href="img.php" style="color:#9d9ca3;">Image</a>
        <a class="active item" href="file.php">Files</a>
    </div>
</div>

<div class="ts container">
<br><br>
<div class="ts stackable grid">
    <div class="four wide column" align="center">
		<div id="output"></div>
		<div class="ts small statistic">
			<div class="label">QuickSend ID</div>
			<div class="value" id="sid"><?php
			$max = 0;
			foreach (new DirectoryIterator('Memo/') as $fileInfo) {
				if ($fileInfo->isDot()) continue;
				$current = pathinfo($fileInfo->getFilename())['filename'];
				if (!is_numeric($current)) continue;
				if ($current > $max) $max = $current;
			}
			echo $max+1;
			?></div>
		</div>
	</div>
    <div class="twelve wide column">
		<form action="upload.php" method="post" enctype="multipart/form-data">
			<input class="ts basic fluid button" type="file" name="fileToUpload" id="fileToUpload"><br><br>
			<input class="ts basic fluid button" type="submit" value="Generate QR-Code" name="submit">
		</form>
		<br>
	</div>
</div>

<br><br><br><br><br><br>
<div style="position: fixed;
    z-index: 100; 
    bottom: 0; 
    left: 0;
    width: 100%;
	background-color:#2c2835;
	color:white;">
<div class="ts container">
<img class="ts tiny right floated image" src="img/cube.png"></img>
</div>
<div align="left" class="ts container">
<br>
CopyRight IMUS Laboratory 2018, All right reserved.
</div>
</div>

</div>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.5.2/jquery.min.js"></script>
<script type="text/javascript" src="jquery.qrcode.min.js"></script>
<script>
jQuery(function(){
	jQuery('#output').qrcode("Hello World");
})

function senddata(){
	textarea = $('#textholder').val();
    $.ajax({
        type: "POST",
        url: "StickMemo.php",
        data:{ content: textarea }, 
        success: function(data){
            //alert(data);
			$("#output").empty();
			jQuery('#output').qrcode("http://imuslab.com/qs/display.php?id=" + data);
			$("#sid").html(data);
        }
    })
	
}
</script>
</body>
</html>